Bug 147463 - anaconda crashes during auto partitioning
Summary: anaconda crashes during auto partitioning
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-08 04:57 UTC by donavan nelson
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 19:55:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file system configuration prior to install (1.70 KB, text/plain)
2005-02-08 04:59 UTC, donavan nelson
no flags Details

Description donavan nelson 2005-02-08 04:57:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20050113 Red Hat/1.4.3-3.0.7.centos.1

Description of problem:
anaconda crashes during auto partitioning under certain circumstances:

I have a test system with 6 sata drives, 5 of the drives are in a
software raid 5 array, one /dev/sda is the root and boot file systems.

When trying to install and have anaconda auto partition on /dev/sda
anaconda 10.1.1.3 crashes with the following stack and error:

gui.py:  line 789
dispatch.py:  line 171
dispatch.py:  line 239
autopart.py:  line 1367

Attribute Error:  RaidRequestSpec instance has no 'drive'

(Just a note to the curious, this system has no swap space configured
at the moment.)



Version-Release number of selected component (if applicable):
10.1.1.3

How reproducible:
Always

Steps to Reproduce:
0.  have system as configured in the fdisk list attachment
1 [details].  start install
2.  select auto partition
3.  click remove all partitions on this system
4.  deselect all drives except /dev/sda
5.  click continue
    

Actual Results:  installer crashes

Expected Results:  installer continues on it's way

Additional info:

I normally configure my data file systems across a raid 5 array and
have the root/boot files systems mirrored on another pair of drives.

This bug prevents me from upgrading any of my system and keeping the
existing raid5 array (or fiddling around to disconnect the drives etc.)

Comment 1 donavan nelson 2005-02-08 04:59:23 UTC
Created attachment 110781 [details]
file system configuration prior to install

Comment 2 Jeremy Katz 2005-02-09 16:32:32 UTC
Can you please provide the complete traceback you receieved?

Comment 3 Suzanne Hillman 2005-03-29 19:55:20 UTC
It's been about a month and a half with no reply from the reporter, so I'm
closing this. If it's still a problem, please reopen with the information
requested above.


Note You need to log in before you can comment on or make changes to this bug.